### Signal

# WebKit2 WebView::resource-load-started

#### Declaration

    void
    resource_load_started (
      WebKitWebView* self,
      WebKitWebResource* resource,
      WebKitURIRequest* request,
      gpointer user_data
    )

#### Description [src]

Emitted when a new resource is going to be loaded. The `request` parameter contains the `WebKitURIRequest` that will be sent to the server. You can monitor the load operation by connecting to the different signals of `resource`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`resource` | `WebKitWebResource`
| A `WebKitWebResource`.
| The data is owned by the caller of the function.
`request` | `WebKitURIRequest`
| A `WebKitURIRequest`.
| The data is owned by the caller of the function.